additionalProperties:
  formFields:
    - default: 8282
      edit: false
      envKey: PANEL_APP_PORT_HTTP
      labelEn: Web Port
      labelPt: Porta Web
      required: true
      rule: paramPort
      type: number
    - default: admin
      edit: false
      envKey: PANEL_APP_ADMIN_USERNAME_FTP
      labelEn: Admin Username
      labelPt: Usu��rio Admin
      required: true
      rule: paramCommon
      type: text
    - default: sftpgo
      envKey: PANEL_APP_ADMIN_PASSWORD_FTP
      labelEn: Password
      labelPt: Senha
      random: true
      required: true
      rule: paramComplexity
      type: password
    - default: 2022
      edit: false
      envKey: PANEL_APP_PORT_SFTP
      labelEn: SFTP Port
      labelPt: Porta SFTP
      required: true
      rule: paramPort
      type: number
    - default: 21
      edit: false
      envKey: PANEL_APP_PORT_FTP
      labelEn: FTP Port
      labelPt: Porta FTP
      required: true
      rule: paramPort
      type: number
    - default: 50000
      edit: false
      envKey: PASSIVE_PORT_RANGE_START
      labelEn: Passive Mod Start Port
      labelPt: Porta inicial do Modo Passivo
      required: true
      rule: paramCommon
      type: text
    - default: 50100
      edit: false
      envKey: PASSIVE_PORT_RANGE_END
      labelEn: Passive Mod End Port (Greater than the starting port)
      labelPt: Porta Final do Modo Passivo (Maior que a porta inicial)
      required: true
      rule: paramCommon
      type: text
    - default: PANEL_IP
      edit: false
      envKey: FTP_EXTERNAL_IP
      labelEn: FTP External IP (must change item)
      labelPt: IP Externo do FTP (item obrigatório)
      required: true
      rule: paramCommon
      type: text
    - default: 10080
      edit: false
      envKey: PANEL_APP_PORT_WEBDAV
      labelEn: WebDAV Port
      labelPt: Porta WebDAV
      required: true
      rule: paramPort
      type: number